> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soca.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Session

> Deletes a specific conversation session.



## OpenAPI

````yaml DELETE /session/{agent_id}/{session_id}
openapi: 3.0.1
info:
  title: OpenAPI Soca AI
  description: An API for sending messages and retrieving responses from the AI Agent.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.soca.ai/v1
security:
  - private_key: []
paths:
  /session/{agent_id}/{session_id}:
    delete:
      description: Deletes a specific conversation session.
      parameters:
        - name: agent_id
          in: path
          required: true
          description: The unique identifier of a Soca AI agent created in the Studio.
          schema:
            type: string
        - name: session_id
          in: path
          required: true
          description: The unique identifier of the specific session.
          schema:
            type: string
      responses:
        '200':
          description: Indicates that the session was successfully deleted.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendMessageResponseDeleteSession'
        '400':
          description: Invalid agent_id format or invalid query parameters.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error400'
        '401':
          description: Invalid or missing private_key in the header.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
components:
  schemas:
    SendMessageResponseDeleteSession:
      type: object
      properties:
        status:
          type: boolean
          description: Session was successfully deleted
        message:
          type: string
          description: Session Deleted Successfully
    Error400:
      type: object
      required:
        - error
        - message
      properties:
        status:
          type: boolean
          description: Error code.
        message:
          type: string
          description: Error message description.
    Error401:
      type: object
      required:
        - error
        - message
      properties:
        status:
          type: boolean
          description: Error code.
        message:
          type: string
          description: Error message description.
  securitySchemes:
    private_key:
      type: apiKey
      in: header
      name: private_key

````